server:
  port: 1003

spring:
  application:
    name: RandomMatch
  
  # 数据库配置
  datasource:
    url: jdbc:mysql://115.190.125.125:3306/hunlian?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8&useSSL=false&allowPublicKeyRetrieval=true
    username: root
    password: lsx@hfs?gln.lsc
    driver-class-name: com.mysql.cj.jdbc.Driver

  # Redis配置
  redis:
    host: 115.190.125.125
    port: 6377
    password: lsx@hfs?gln.lsc
    database: 0
    timeout: 10000ms
    lettuce:
      pool:
        max-active: 8   # 连接池最大连接数
        max-idle: 8     # 连接池最大空闲连接数
        min-idle: 0     # 连接池最小空闲连接数
        max-wait: -1ms  # 连接池最大阻塞等待时间

# MyBatis Plus配置
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      logic-delete-field: isDeleted
      logic-delete-value: 1
      logic-not-delete-value: 0
